//#include <http.h>



#define INITIALIZE_HTTP_RESPONSE( resp, status, reason )    \
    do                                                      \
    {                                                       \
        RtlZeroMemory( (resp), sizeof(*(resp)) );           \
        (resp)->StatusCode = (status);                      \
        (resp)->pReason = (reason);                         \
        (resp)->ReasonLength = (USHORT) strlen(reason);     \
    } while (FALSE)



#define ADD_KNOWN_HEADER(Response, HeaderId, RawValue)                      \
    do                                                                      \
    {                                                                       \
        (Response).Headers.KnownHeaders[(HeaderId)].pRawValue = (RawValue); \
        (Response).Headers.KnownHeaders[(HeaderId)].RawValueLength =        \
            (USHORT) strlen(RawValue);                                      \
    } while(FALSE)

#define ALLOC_MEM(cb) HeapAlloc(GetProcessHeap(), 0, (cb))
#define FREE_MEM(ptr) HeapFree(GetProcessHeap(), 0, (ptr))


void retrieveAddress(PSOCKADDR pSockAddress, char buffer[]);


enum FileFormat
{
	File_Format_BMP, File_Format_JPG, File_Format_PNG,
	File_Format_TIF, File_Format_GIF, 
	File_Format_MPG,
	File_Format_RM,
	File_Format_PDF,
	File_Format_MID,
	File_Format_ZIP,
	File_Format_RAR,
	File_Format_ASF,
	File_Format_WAV,
	File_Format_MP3,
	File_Format_AVI,

	File_Format_UNKNOWN
};


FileFormat getFileFormat(const LPBYTE image);


